Zum Hauptinhalt springen
GET
/
public
/
v1
/
campaign-service
/
json-templates
/
{json-template-id}
Get Json Template
curl --request GET \
  --url https://api.topsort.com/public/v1/campaign-service/json-templates/{json-template-id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topsort.com/public/v1/campaign-service/json-templates/{json-template-id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topsort.com/public/v1/campaign-service/json-templates/{json-template-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "jsonSchema": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "isArchived": false,
  "previewScreenshot": "<string>",
  "previewUrl": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Autorisierungen

Authorization
string
header
erforderlich

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Pfadparameter

json-template-id
string<uuid>
erforderlich

JSON template ID to retrieve.

Antwort

Successful Response

id
string<uuid>
erforderlich

The ID of the JSON template

marketplaceId
string<uuid>
erforderlich

The ID of the marketplace

name
string
erforderlich

The name of the JSON template

description
string
erforderlich

The description of the JSON template

jsonSchema
Jsonschema · object
erforderlich

The JSON schema of the JSON template

createdAt
string<date-time>
erforderlich

The creation time of the JSON template

updatedAt
string<date-time>
erforderlich

The update time of the JSON template

adFormat
enum<string>
erforderlich

The ad format of the JSON template

Verfügbare Optionen:
banner,
sponsored_brand
isArchived
boolean
Standard:false

Whether the JSON template is archived

previewScreenshot
string<uri> | null

Preview screenshot of the JSON template

Required string length: 1 - 2083
previewUrl
string<uri> | null

Preview URL of the JSON template

Required string length: 1 - 2083